using Godot;
using System;
using Cirno.Scripts;

public partial class Computer : Interactable
{
	[Export] public Activable Target { get; set; }
	public override bool Activate(ActivationType activationType = ActivationType.Toggle)
	{
		if (MeetsRequirements())
		{
			Target?.Activate();
			return true;
		}

		return false;
	}
}
